Skip to navigation

Create Compatibility Profile

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
import_session_idstringRequired

Request

This endpoint expects an object.
displayNamestringRequired
harnessIdstringRequired
approvalMapmap from strings to anyOptional
evalMapmap from strings to anyOptional
inputSchemamap from strings to anyOptional
memoryMapmap from strings to anyOptional
outputSchemamap from strings to anyOptional
runModeslist of stringsOptionalDefaults to ["interactive"]
toolMapmap from strings to anyOptional
traceCoverageSummarymap from strings to anyOptional

Response

Successful Response

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error